## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class InvalidUriException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException
                          org.codehaus.groovy.grails.web.servlet.mvc.exceptions.InvalidUriException

All Implemented Interfaces:
  Serializable

    public class InvalidUriException

extends GrailsMVCException

Thrown when a controller cannot make sense of the URI it has to handle.

Since:
  Jul 3, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`InvalidUriException()`
`InvalidUriException(String arg0)`
`InvalidUriException(String arg0, Throwable arg1)`
`InvalidUriException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidUriException

    public InvalidUriException()

### InvalidUriException

    public InvalidUriException(String arg0)

### InvalidUriException

    public InvalidUriException(String arg0,
                               Throwable arg1)

### InvalidUriException

    public InvalidUriException(Throwable arg0)

Copyright (c) 2005-2006 The Grails project